# Class AudioPlaybackService | EchoHub Documentation

# Class AudioPlaybackService

Namespace
  EchoHub.Client.Services

Assembly
  EchoHub.Client.dll

    public class AudioPlaybackService

Inheritance
  object
  AudioPlaybackService

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### AudioPlaybackService()

    public AudioPlaybackService()

## Properties

### IsPaused

    public bool IsPaused { get; }

#### Property Value

bool

### IsPlaying

    public bool IsPlaying { get; }

#### Property Value

bool

## Methods

### PauseAsync()

    public Task PauseAsync()

#### Returns

Task

### PlayAsync(string)

    public Task PlayAsync(string filePath)

#### Parameters

`filePath` string

#### Returns

Task

### ResumeAsync()

    public Task ResumeAsync()

#### Returns

Task

### SetVolumeAsync(byte)

    public Task SetVolumeAsync(byte volume)

#### Parameters

`volume` byte

#### Returns

Task

### StopAsync()

    public Task StopAsync()

#### Returns

Task

## Events

### PlaybackFinished

    public event EventHandler? PlaybackFinished

#### Event Type

EventHandler